LibreOffice: XPrimitive2DRenderer Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XPrimitive2DRenderer Interface Reference

XPrimitive2DRenderer interface. More...

`import <XPrimitive2DRenderer.idl;`

Inheritance diagram for XPrimitive2DRenderer:

## Public Member Functions
com::sun::star::rendering::XBitmap | rasterize ([in] sequence< XPrimitive2D > Primitive2DSequence, [in] sequence< ::com::sun::star::beans::PropertyValue > aViewInformationSequence, [in] unsigned long DPI_X, [in] unsigned long DPI_Y, [in] ::com::sun::star::geometry::RealRectangle2D Range, [in] unsigned long MaximumQuadraticPixels)
| return rasterized version of given XPrimitive2D
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

XPrimitive2DRenderer interface.

This interface allows to convert from a sequence of XPrimitive2Ds to a XBitmap

## Member Function Documentation

## ◆ rasterize()

com::sun::star::rendering::XBitmap rasterize | ( | [in] sequence< XPrimitive2D > | Primitive2DSequence,
|  | [in] sequence< ::com::sun::star::beans::PropertyValue > | aViewInformationSequence,
|  | [in] unsigned long | DPI_X,
|  | [in] unsigned long | DPI_Y,
|  | [in] ::com::sun::star::geometry::RealRectangle2D | Range,
|  | [in] unsigned long | MaximumQuadraticPixels )

return rasterized version of given XPrimitive2D

Parameters

  Primitive2DSequence | The graphic content description
  aViewInformationSequence | The ViewInformation2D
  DPI_X | The horizontal resolution of the callers device in pixel per inch. This value is needed to calculate the correct dimensions of the graphic to be rasterized. If a value of

0

is given, a horizontal default resolution of 72 DPI is used.

Parameters

  DPI_Y | The vertical resolution of the callers device in pixel per inch. This value is needed to calculate the correct dimensions of the graphic to be rasterized. If a value of

0

is given, a vertical default resolution of 72 DPI is used.

Parameters

  Range | The range in 1/100th mm of the graphic to be rasterized
  MaximumQuadraticPixels | The maximum allowed number of pixels to be used to allow limiting the possible size of used pixels. The AspectRatio is preserved, the result gets limited to given number. If a value of 0 is given, a default of 500000 is used.

The documentation for this interface was generated from the following file:

- com/sun/star/graphic/XPrimitive2DRenderer.idl